Package com.arms.egovframework.javaservice.treeframework.util

## Class EgovWebUtil

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.EgovWebUtil

-     public class EgovWebUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EgovWebUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `clearXSSMaximum​(java.lang.String value)` |
    `static java.lang.String` | `clearXSSMinimum​(java.lang.String value)` |
    `static java.lang.String` | `filePathBlackList​(java.lang.String value)` |
    `static java.lang.String` | `filePathReplaceAll​(java.lang.String value)` |
    `static java.lang.String` | `filePathWhiteList​(java.lang.String value)` |
    `static boolean` | `isIPAddress​(java.lang.String str)` |
    `static java.lang.String` | `removeCRLF​(java.lang.String parameter)` |
    `static java.lang.String` | `removeOSCmdRisk​(java.lang.String parameter)` |
    `static java.lang.String` | `removeSQLInjectionRisk​(java.lang.String parameter)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EgovWebUtil

          public EgovWebUtil()

  - ### Method Detail

    - #### clearXSSMinimum

          public static java.lang.String clearXSSMinimum​(java.lang.String value)

    - #### clearXSSMaximum

          public static java.lang.String clearXSSMaximum​(java.lang.String value)

    - #### filePathBlackList

          public static java.lang.String filePathBlackList​(java.lang.String value)

    - #### filePathReplaceAll

          public static java.lang.String filePathReplaceAll​(java.lang.String value)

    - #### filePathWhiteList

          public static java.lang.String filePathWhiteList​(java.lang.String value)

    - #### isIPAddress

          public static boolean isIPAddress​(java.lang.String str)

    - #### removeCRLF

          public static java.lang.String removeCRLF​(java.lang.String parameter)

    - #### removeSQLInjectionRisk

          public static java.lang.String removeSQLInjectionRisk​(java.lang.String parameter)

    - #### removeOSCmdRisk

          public static java.lang.String removeOSCmdRisk​(java.lang.String parameter)